# tox (https://tox.readthedocs.io/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
isolated_build = true
envlist = py37, py38, py39

[testenv]
whitelist_externals = poetry
commands =
    poetry install -v
    poetry run pytest tests/
